classification
Title: Add sorting algorithm visualization to turtledemo
Type: enhancement Stage: resolved
Components: Demos and Tools Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: Jason.Yeo, ethan.furman, gregorlingl, larry, pitrou, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2013-09-22 18:02 by Jason.Yeo, last changed 2015-03-02 20:50 by ethan.furman. This issue is now closed.

Files
File name Uploaded Description Edit
animation.diff Jason.Yeo, 2013-09-22 18:02 patch for sorting animation review
issue19075.stoneleaf.01.patch ethan.furman, 2015-02-27 06:46 review
Messages (9)
msg198295 - (view) Author: Jason Yeo (Jason.Yeo) * Date: 2013-09-22 18:02
My university uses python to teach sorting algorithms. It will be great if the turtledemo comes with a visualization of some of the algorithms. I have attached a patch for it.
msg199127 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2013-10-07 03:32
What are the requirements (if any) to get something added to demos?  If not many, I'll spiffy up the code a bit (mostly make it go more than one round without having to restart).
msg199140 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-10-07 11:17
> What are the requirements (if any) to get something added to demos?

Nothing much AFAIK, except that someone must be willing to maintain the code.
msg203012 - (view) Author: Jason Yeo (Jason.Yeo) * Date: 2013-11-16 08:08
> Nothing much AFAIK, except that someone must be willing to maintain the code.

I wrote the code, I guess I should be the one maintaining this.

I am new to this, what must I look out for if I want to maintain this?
msg236728 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2015-02-27 06:46
Code spiffied: added randomization routine that can be used after a sort to test a different sort method (or the same one).

Larry, can this extra demo go into 3.4.4, or only 3.5?
msg236743 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2015-02-27 13:07
This can wait for 3.5.
msg236824 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-02-27 19:55
Have you tested it both standalone and within the turtledemo app?
msg236825 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2015-02-27 19:57
Yup.  Also updated the turtledemo docs.
msg237082 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-02 20:30
New changeset 596228491890 by Ethan Furman in branch 'default':
issue19075: add visual sorting algorithms to turtledemo; original code from Jason Yeo
https://hg.python.org/cpython/rev/596228491890
History
Date User Action Args
2015-03-02 20:50:11ethan.furmansetstatus: open -> closed
assignee: ethan.furman
resolution: fixed
stage: patch review -> resolved
2015-03-02 20:30:56python-devsetnosy: + python-dev
messages: + msg237082
2015-02-27 19:57:15ethan.furmansetmessages: + msg236825
2015-02-27 19:55:30terry.reedysetstage: patch review
messages: + msg236824
versions: - Python 3.4
2015-02-27 13:07:54larrysetmessages: + msg236743
2015-02-27 06:46:40ethan.furmansetfiles: + issue19075.stoneleaf.01.patch
nosy: + larry
messages: + msg236728

2013-11-16 08:08:27Jason.Yeosetmessages: + msg203012
2013-10-07 11:17:23pitrousetnosy: + pitrou

messages: + msg199140
versions: + Python 3.4
2013-10-07 03:32:02ethan.furmansetmessages: + msg199127
2013-09-28 20:48:54terry.reedysetnosy: + terry.reedy
2013-09-22 18:17:32r.david.murraysetnosy: + gregorlingl
2013-09-22 18:14:14ethan.furmansetnosy: + ethan.furman
2013-09-22 18:02:22Jason.Yeocreate